#!/usr/bin/perl -w

use lib "..";
use HotSaNIC;
use RRDs;

# get cmdline arguments (i.e. options passed by the daemon)
# and other global parameters
#
%ARGS=arg2opt(@ARGV);

dupe_control("start",$ARGS{"MODNAME"},"");

# read module-specific settings
#
open (FILE,"settings") or dupe_control("die",$ARGS{"MODNAME"},": error - $!");
while (<FILE>) {
  ($var,$value)=parse_line($_);
  if ($var eq "SENSOR") {
    ($dev,$dbname,undef,$num,$scale,$add,undef)=split(/,/,$value);
    open(DEVFILE,"$dev");$_=<DEVFILE>;chomp;close DEVFILE;
    @array=split;
    $value=$array[$num-1]*$scale+$add;

# build new database if needed
    if ( ! -e "rrd/$dbname.rrd" ) { system("./makerrd","$dbname","10000") }

# update database
    RRDs::update "rrd/$dbname.rrd",time.":".$value;  
    if ($ERROR = RRDs::error) { dupe_control("die",$ARGS{"MODNAME"},"unable to update `$dbname.rrd': $ERROR"); }
    }
  }
close FILE;

dupe_control("stop",$ARGS{"MODNAME"},"");
